summaryrefslogtreecommitdiff
path: root/tests/misc/cat-self.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/cat-self.sh')
-rwxr-xr-xtests/misc/cat-self.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/cat-self.sh b/tests/misc/cat-self.sh
index 555177b1f..57777e537 100755
--- a/tests/misc/cat-self.sh
+++ b/tests/misc/cat-self.sh
@@ -21,7 +21,7 @@ print_ver_ cat
echo x >out || framework_failure_
echo x >out1 || framework_failure_
-cat out >>out && fail=1
+returns_ 1 cat out >>out || fail=1
compare out out1 || fail=1
# This example is taken from the POSIX spec for 'cat'.